---
title: "TextareaInput"
isDefaultIndex: false
generated: true
---
<!-- This file was generated from the Vendure source. Do not modify. Instead, re-run the "docs:build" script -->
import MemberInfo from '@site/src/components/MemberInfo';
import GenerationInfo from '@site/src/components/GenerationInfo';
import MemberDescription from '@site/src/components/MemberDescription';


## TextareaInput

<GenerationInfo sourceFile="packages/dashboard/src/lib/components/data-input/textarea-input.tsx" sourceLine="12" packageName="@vendure/dashboard" />

A component for displaying a textarea input.

```ts title="Signature"
function TextareaInput(props: Readonly<DashboardFormComponentProps>): void
```
Parameters

### props

<MemberInfo kind="parameter" type={`Readonly&#60;<a href='/reference/dashboard/extensions-api/form-components#dashboardformcomponentprops'>DashboardFormComponentProps</a>&#62;`} />

